# Uvu / Playwright builder

Builder wrapping:
* [uvu](https://github.com/lukeed/uvu) and [playwright-test](https://www.npmjs.com/package/playwright-test) for unit test execution
* [Playwright](https://playwright.dev/) for E2E tests
* [c8](https://www.npmjs.com/package/c8) and [nyc](https://www.npmjs.com/package/nyc) for test coverage


## Installation

To enable this module in your application, follow the steps below.

1. Add `@genesislcap/uvu-playwright-builder` as a dependency in your `package.json` file. Whenever you change the dependencies of your project, ensure you run the `$ npm run bootstrap` command again. You can find more information in the [package.json basics](https://learn.genesis.global/secure/web/basics/package-json-basics/) page.

```json
{
  ...
  "dependencies": {
    ...
    "@genesislcap/uvu-playwright-builder": "latest"
    ...
  },
  ...
}
```

## [API Docs](./docs/api/index.md)

## License

Note: this project provides front-end dependencies and uses licensed components listed in the next section; thus, licenses for those components are required during development. Contact [Genesis Global](https://genesis.global/contact-us/) for more details.

### Licensed components
Genesis low-code platform